View Issue Details

IDProjectCategoryView StatusLast Update
0001482FreeCADFeaturepublic2015-01-24 15:49
ReportergetSurrealAssigned Towmayer 
PrioritynormalSeverityfeatureReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version0.15 
Summary0001482: v0.14 Mirrored objects parent the original object
DescriptionAll the FreeCAD nesting that I work with hides the parts in the lower tree. Mirroring is the only one that I'm aware of that's different where you typically wouldn't want to hide the child object. v0.13 created mirrored objects as root objects and in my opinion is the correct way to do it.

Forum Thread on the topic http://forum.freecadweb.org/viewtopic.php?f=3&t=6077
Steps To ReproduceLet's say I have a front and rear bumper that are the same so I mirror the front to the rear. Next I want to group the rear bumper with other rear end parts. Now when you look at the tree, it looks like both the front and rear end bumpers are a part of the rear end parts, but the front end part isn't actually part of the group.
TagsNo tags attached.

Activities

getSurreal

2014-03-18 17:31

reporter   ~0004475

OS: Mac OS X
Platform: 64-bit
Version: 0.14.2408 (Git)
Branch: osx-app
Hash: 71df8fbf311e0cf92772a5fe90bebe208e4725bc
Python version: 2.7.5
Qt version: 4.8.5
Coin version: 3.1.3
SoQt version: 1.5.0
OCC version: 6.6.0

shoogen

2015-01-13 11:51

developer   ~0005647

Last edited: 2015-01-13 12:03

View 3 revisions

How about adding a property for the View provider to disable claiming the children per object.
In this case for a mirror feature it would be set to disabled when the mirror is created form the GUI.
So when i create a mirror from python I can re-enable claiming the child. Like when importing an OpenSCAD CSG file. In this case the child will be hidden an is considered construction geometry.


Mabe some features need even more than one property for this. To me it seems totally arbitrary that a sweep claims the sections but not the spline.

wmayer

2015-01-23 21:06

administrator   ~0005691

> How about adding a property for the View provider to disable claiming the children per object.
This doesn't solve anything. When having a property then one has to decide for a default value and then the same issue comes up: the ones want it nested, the others not. And then?
So, we have to leave this behaviour fixed and decide for the one or the other way. The best would be to check how other cad applications handle this.

> To me it seems totally arbitrary that a sweep claims the sections but not the spline.
The sections are shapes of a certain type: wire, vertex, edge
The spine is a compound of adjacent edges (sub-elements) of any object and thus the input objects shouldn't be children of the sweep. A proper solution might be to create an explicit trajectory object from the edges and then add this as a child.

shoogen

2015-01-24 10:16

developer   ~0005695

If the child is visible in the document it is a matter of personal preference to have it claimed or not by the parent.
But if the child is hidden, it would make sense to have it claimed to make it obvious that it is still referenced.
Otherwise, i would have to consult the dependency graph every time.

wmayer

2015-01-24 15:34

administrator   ~0005710

The object is again a children of the mirror object.

Issue History

Date Modified Username Field Change
2014-03-18 17:21 getSurreal New Issue
2014-03-18 17:31 getSurreal Note Added: 0004475
2015-01-12 23:29 wmayer Changeset attached => FreeCAD Master master 52899673
2015-01-12 23:29 wmayer Assigned To => wmayer
2015-01-12 23:29 wmayer Status new => closed
2015-01-12 23:29 wmayer Resolution open => fixed
2015-01-13 11:51 shoogen Note Added: 0005647
2015-01-13 11:51 shoogen Status closed => feedback
2015-01-13 11:51 shoogen Resolution fixed => reopened
2015-01-13 11:55 shoogen Note Edited: 0005647 View Revisions
2015-01-13 12:03 shoogen Note Edited: 0005647 View Revisions
2015-01-23 21:06 wmayer Note Added: 0005691
2015-01-24 10:16 shoogen Note Added: 0005695
2015-01-24 15:34 wmayer Note Added: 0005710
2015-01-24 15:34 wmayer Status feedback => closed
2015-01-24 15:34 wmayer Resolution reopened => fixed
2015-01-24 15:34 wmayer Fixed in Version => 0.15
2015-01-24 15:49 wmayer Changeset attached => FreeCAD Master master be387726